Find a few people interested in reviewing Selenium patches
Closed, ResolvedPublic

Description

Status: the task is resolved, but if you would like to help out with Selenium framework reviews, please do leave a comment.


I have to finish T182421: Q3 Selenium framework improvements by the end of March 2018. It would speed me up significantly if there were a few people that would review my patches (see owner:"Zfilipin <zfilipin@wikimedia.org>" in Gerrit for examples) or help me out when I get stuck, usually because of my inexperience with JavaScript (see T185094 and 412956: UserLoginPage.open is not a function).

  • Reach out to people already writing Selenium tests.
  • If the above fails, send mail to wikitech-l, engineering and/or qa mailing lists.

Would like to help: @WMDE-Fisch, @Ladsgroup, @Jdrewniak, @dcausse, @Niedzielski, @Krinkle, @Jdforrester-WMF.

Restricted Application added a subscriber: Aklapper. ยท View Herald TranscriptMar 2 2018, 3:46 PM
zeljkofilipin triaged this task as Normal priority.Mar 2 2018, 3:51 PM
zeljkofilipin claimed this task.
zeljkofilipin updated the task description. (Show Details)Mar 2 2018, 3:57 PM
zeljkofilipin updated the task description. (Show Details)Mar 2 2018, 4:02 PM
zeljkofilipin updated the task description. (Show Details)
zeljkofilipin updated the task description. (Show Details)Mar 2 2018, 4:18 PM

Sent mail to 9 people that have shown interest in Selenium so far.

๐Ÿ Bonus points!

I will be happy to lend a hand. Add me to any patches you see fit.

greg awarded a token.Mar 3 2018, 12:38 AM

Feel free to add me to any selenium patches as well ๐Ÿ‘

Thanks @WMDE-Fisch, @Ladsgroup and @Jdrewniak! ๐ŸŽ‰

At the moment I am blocked on T185094/412956. I will update the task and the commit with details.

I will leave this task open for a few more days, in case more people want to join the adventure. ๐Ÿ’ป

@Niedzielski, @dcausse: just checking if your subscription/token to this task is "I'm mildly interested" or "SUBSCRIBE ๐Ÿ“ฌ" ๐Ÿ˜‰

@zeljkofilipin I'm interested but I don't consider myself a very knowledgeable developer for this kind of reviews, I'd be happy to help if I can :)

Sure @zeljkofilipin! I'd be especially interested to help with the web team's repos, although, like David, I'm not as experienced with this area of our code!

@Niedzielski, @dcausse: great! I'll make sure not to spam you, but I might add you to a commit and a task once in a while.

zeljkofilipin closed this task as Resolved.Mar 12 2018, 2:56 PM

Thanks to everybody that already helped out. Resolving so it does not stay open forever, but you can still join the fun!